Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.support.contentdirectory.descriptor.didl
Class Res

    java.lang.Object
      org.teleal.cling.support.contentdirectory.descriptor.didl.Res

    public class Res

extends Object

A 'res' element indentifies a resource. A resource is typically some type of a binary asset, such as photo, song, video, etc. A 'res' element contains a uri that identifies the resource.

Attributes:

'importUri' type: anyURI use: optional
The 'importUri' attribute is the optional uri locator for resource update.

'protocolInfo' type: string use: required
The 'protocolInfo' attribute is a string that identifies the streaming or transport protocol for transmitting the resource. If not present then the content has not yet been fully imported by the ContentDirectory and is not yet accesible for playback purposes.

'size' type: unsignedLong use: optional
The size, in bytes, of the resource.

'duration' type: string use: optional
The 'duration' attribute identifies the duration of the playback of the resource, at normal speed. The form of the duration string is: H*:MM:SS.F*, or H*:MM:SS.F0/F1 where : H* means any number of digits (including no digits) to indicate elapsed hours MM means exactly 2 digits to indicate minutes (00 to 59) SS means exactly 2 digits to indicate seconds (00 to 59) F* means any number of digits (including no digits) to indicate fractions of seconds F0/F1 means a fraction, with F0 and F1 at least one digit long, and F0 < F1 The string may be preceded by an optional + or - sign, and the decimal point itself may be omitted if there are no fractional second digits.

'bitrate' type: unsignedInt use: optional
The bitrate in bytes/second of the resource.

'sampleFrequency' type: unsignedInt use: optional
The sample frequency of the resource in Hz

'bitsPerSample' type: unsignedInt use: optional
The bits per sample of the resource.

'nrAudioChannels' type: unsignedInt use: optional
Number of audio channels of the resource, e.g. 1 for mono, 2 for stereo, 6 for Dolby surround, etc.

'resolution' type: pattern-string use: optional
X*Y resolution of the resource (image or video). The string pattern is restricted to strings of the form: [0-9]+x[0-9]+ (one or more digits,'x', followed by one or more digits).

'colorDepth' type: unsignedInt use: optional
The color depth in bits of the resource (image or video).

'protection' type: string use: optional
Some statement of the protection type of the resource (not standardized).

The equivalent MPEG21 DIDL element is 'RESOURCE'.

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <simpleContent>
         <extension base="<http://www.w3.org/2001/XMLSchema>string">
           <attribute name="importUri" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
           <attribute name="protocolInfo" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="size" type="{http://www.w3.org/2001/XMLSchema}unsignedLong" />
           <attribute name="duration" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="bitrate" type="{http://www.w3.org/2001/XMLSchema}unsignedInt" />
           <attribute name="sampleFrequency" type="{http://www.w3.org/2001/XMLSchema}unsignedInt" />
           <attribute name="bitsPerSample" type="{http://www.w3.org/2001/XMLSchema}unsignedInt" />
           <attribute name="nrAudioChannels" type="{http://www.w3.org/2001/XMLSchema}unsignedInt" />
           <attribute name="colorDepth" type="{http://www.w3.org/2001/XMLSchema}unsignedInt" />
           <attribute name="protection" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="resolution">
             <simpleType>
               <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                 <pattern value="[0-9]+x[0-9]+"/>
               </restriction>
             </simpleType>
           </attribute>
         </extension>
       </simpleContent>
     </complexType>

Field Summary
`protected Long` | `bitrate`
`protected Long` | `bitsPerSample`
`protected Long` | `colorDepth`
`protected String` | `duration`
`protected String` | `importUri`
`protected Long` | `nrAudioChannels`
`protected String` | `protection`
`protected String` | `protocolInfo`
`protected String` | `resolution`
`protected Long` | `sampleFrequency`
`protected BigInteger` | `size`
`protected String` | `value`

Constructor Summary
`Res()`

Method Summary
`Long` | `getBitrate()` Gets the value of the bitrate property.
`Long` | `getBitsPerSample()` Gets the value of the bitsPerSample property.
`Long` | `getColorDepth()` Gets the value of the colorDepth property.
`String` | `getDuration()` Gets the value of the duration property.
`String` | `getImportUri()` Gets the value of the importUri property.
`Long` | `getNrAudioChannels()` Gets the value of the nrAudioChannels property.
`String` | `getProtection()` Gets the value of the protection property.
`String` | `getProtocolInfo()` Gets the value of the protocolInfo property.
`String` | `getResolution()` Gets the value of the resolution property.
`Long` | `getSampleFrequency()` Gets the value of the sampleFrequency property.
`BigInteger` | `getSize()` Gets the value of the size property.
`String` | `getValue()` Gets the value of the value property.
`void` | `setBitrate(Long value)` Sets the value of the bitrate property.
`void` | `setBitsPerSample(Long value)` Sets the value of the bitsPerSample property.
`void` | `setColorDepth(Long value)` Sets the value of the colorDepth property.
`void` | `setDuration(String value)` Sets the value of the duration property.
`void` | `setImportUri(String value)` Sets the value of the importUri property.
`void` | `setNrAudioChannels(Long value)` Sets the value of the nrAudioChannels property.
`void` | `setProtection(String value)` Sets the value of the protection property.
`void` | `setProtocolInfo(String value)` Sets the value of the protocolInfo property.
`void` | `setResolution(String value)` Sets the value of the resolution property.
`void` | `setSampleFrequency(Long value)` Sets the value of the sampleFrequency property.
`void` | `setSize(BigInteger value)` Sets the value of the size property.
`void` | `setValue(String value)` Sets the value of the value property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    protected String value

### importUri

    protected String importUri

### protocolInfo

    protected String protocolInfo

### size

    protected BigInteger size

### duration

    protected String duration

### bitrate

    protected Long bitrate

### sampleFrequency

    protected Long sampleFrequency

### bitsPerSample

    protected Long bitsPerSample

### nrAudioChannels

    protected Long nrAudioChannels

### colorDepth

    protected Long colorDepth

### protection

    protected String protection

### resolution

    protected String resolution

Constructor Detail

### Res

    public Res()

Method Detail

### getValue

    public String getValue()

  Gets the value of the value property.

  Returns:
    possible object is `String`

### setValue

    public void setValue(String value)

  Sets the value of the value property.

  Parameters:
    `value` - allowed object is `String`

### getImportUri

    public String getImportUri()

  Gets the value of the importUri property.

  Returns:
    possible object is `String`

### setImportUri

    public void setImportUri(String value)

  Sets the value of the importUri property.

  Parameters:
    `value` - allowed object is `String`

### getProtocolInfo

    public String getProtocolInfo()

  Gets the value of the protocolInfo property.

  Returns:
    possible object is `String`

### setProtocolInfo

    public void setProtocolInfo(String value)

  Sets the value of the protocolInfo property.

  Parameters:
    `value` - allowed object is `String`

### getSize

    public BigInteger getSize()

  Gets the value of the size property.

  Returns:
    possible object is `BigInteger`

### setSize

    public void setSize(BigInteger value)

  Sets the value of the size property.

  Parameters:
    `value` - allowed object is `BigInteger`

### getDuration

    public String getDuration()

  Gets the value of the duration property.

  Returns:
    possible object is `String`

### setDuration

    public void setDuration(String value)

  Sets the value of the duration property.

  Parameters:
    `value` - allowed object is `String`

### getBitrate

    public Long getBitrate()

  Gets the value of the bitrate property.

  Returns:
    possible object is `Long`

### setBitrate

    public void setBitrate(Long value)

  Sets the value of the bitrate property.

  Parameters:
    `value` - allowed object is `Long`

### getSampleFrequency

    public Long getSampleFrequency()

  Gets the value of the sampleFrequency property.

  Returns:
    possible object is `Long`

### setSampleFrequency

    public void setSampleFrequency(Long value)

  Sets the value of the sampleFrequency property.

  Parameters:
    `value` - allowed object is `Long`

### getBitsPerSample

    public Long getBitsPerSample()

  Gets the value of the bitsPerSample property.

  Returns:
    possible object is `Long`

### setBitsPerSample

    public void setBitsPerSample(Long value)

  Sets the value of the bitsPerSample property.

  Parameters:
    `value` - allowed object is `Long`

### getNrAudioChannels

    public Long getNrAudioChannels()

  Gets the value of the nrAudioChannels property.

  Returns:
    possible object is `Long`

### setNrAudioChannels

    public void setNrAudioChannels(Long value)

  Sets the value of the nrAudioChannels property.

  Parameters:
    `value` - allowed object is `Long`

### getColorDepth

    public Long getColorDepth()

  Gets the value of the colorDepth property.

  Returns:
    possible object is `Long`

### setColorDepth

    public void setColorDepth(Long value)

  Sets the value of the colorDepth property.

  Parameters:
    `value` - allowed object is `Long`

### getProtection

    public String getProtection()

  Gets the value of the protection property.

  Returns:
    possible object is `String`

### setProtection

    public void setProtection(String value)

  Sets the value of the protection property.

  Parameters:
    `value` - allowed object is `String`

### getResolution

    public String getResolution()

  Gets the value of the resolution property.

  Returns:
    possible object is `String`

### setResolution

    public void setResolution(String value)

  Sets the value of the resolution property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.